com.sun.grid.jgdi.configuration

## Interface MailReceiver

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    MailReceiverImpl

      public interface MailReceiver
      extends GEObject

  Java representation of the cull object MR_Type defined in sge_all_listsL.template

  Warning: The MailReceiver class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `java.lang.String` | `getHost()` Get the value of the host attribute.
    `java.lang.String` | `getUser()` Get the value of the user attribute.
    `boolean` | `isSetHost()` Determine if any host attribute is set
    `boolean` | `isSetUser()` Determine if any user attribute is set
    `void` | `setHost(java.lang.String aHost)` Set the host attribute.
    `void` | `setUser(java.lang.String aUser)` Set the user attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setUser

          void setUser(java.lang.String aUser)

      Set the user attribute.
      Parameters:
        `aUser` - the new value for the user attribute

    - #### getUser

          java.lang.String getUser()

      Get the value of the user attribute.
      Returns:
        the value of the user attribute

    - #### isSetUser

          boolean isSetUser()

      Determine if any user attribute is set
      Returns:
        `true` if the user attribute is set

    - #### setHost

          void setHost(java.lang.String aHost)

      Set the host attribute.
      Parameters:
        `aHost` - the new value for the host attribute

    - #### getHost

          java.lang.String getHost()

      Get the value of the host attribute.
      Returns:
        the value of the host attribute

    - #### isSetHost

          boolean isSetHost()

      Determine if any host attribute is set
      Returns:
        `true` if the host attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.